Moose

Prerequisites

Moose declares the following 22 modules as prerequisites.

Listed PrerequisitesRequired VersionLatest DistKwalitee
Carp1.22Carp-1.3301125.71
Class::Load0.09Class-Load-0.22134.29
Class::Load::XS0.01Class-Load-XS-0.08134.29
Data::OptList0.107Data-OptList-0.109131.43
Devel::GlobalDestruction0Devel-GlobalDestruction-0.13134.29
Devel::StackTrace1.30Devel-StackTrace-1.34134.29
Dist::CheckConflicts0.02Dist-CheckConflicts-0.11134.29
Eval::Closure0.04Eval-Closure-0.11131.43
List::MoreUtils0.28List-MoreUtils-0.33128.57
MRO::Compat0.05MRO-Compat-0.12134.29
Module::Runtime0.014Module-Runtime-0.014128.57
Package::DeprecationManager0.11Package-DeprecationManager-0.13131.43
Package::Stash0.32Package-Stash-0.36134.29
Package::Stash::XS0.24Package-Stash-XS-0.28134.29
Params::Util1.00Params-Util-1.07128.57
Scalar::Util1.19Scalar-List-Utils-1.41125.71
Sub::Exporter0.980Sub-Exporter-0.987131.43
Sub::Name0.05Sub-Name-0.12134.29
Task::Weaken0Task-Weaken-1.04131.43
Try::Tiny0.02Try-Tiny-0.22134.29
parent0.223parent-0.228120.00
perlv5.8.3perl0.00

Moose declares the following 5 modules as build prerequisites.

Listed Build PrerequisitesRequired VersionLatest DistKwalitee
CPAN::Meta::Check0.007CPAN-Meta-Check-0.009134.29
CPAN::Meta::Requirements0CPAN-Meta-Requirements-2.128134.29
Test::Fatal0.001Test-Fatal-0.013131.43
Test::More0.88Test-Simple-1.001006128.57
Test::Requires0.05Test-Requires-0.08134.29

Moose declares the following 5 modules as optional prerequisites.

Listed Optional PrerequisitesRequired VersionLatest DistKwalitee
Devel::PartialDump0.14Devel-PartialDump-0.17134.285714285714
Dist::CheckConflicts0.02Dist-CheckConflicts-0.11134.285714285714
ExtUtils::CBuilder0.27ExtUtils-CBuilder-0.280219125.714285714286
ExtUtils::MakeMaker6.30ExtUtils-MakeMaker-6.98131.428571428571
File::Spec0PathTools-3.47122.857142857143